
/**
 * Estimate permutations of BH estimates
 * 
 * @author Liwen Zou
 * @date June, 2011	
 * 	Under supervision: Dr.Chris Field, Dr. Andrew J. Roger and Dr. Edward Susko 
 * Version: 1.0
 * License: GNU GPL
 */
public class epBHfrsz {

	/**
	 * @param args
	 */
	public static void main(String[] args) 
	{
		estimatePermutations anEstimator = new estimatePermutations();
		
		/**
		 * Input parameters
		 */
		anEstimator.readParameters();
		
		/**
		 * Testing readParameters
		 */
		//System.out.println("dataPath: " + anEstimator.dataPath);
		//System.out.println("treeFilePath: " + anEstimator.treeFilePath);
		//System.out.println("number of taxa: " + anEstimator.numOfTaxa);
		/**
		 * create a network from a Newick style tree
		 */
		//anEstimator.getTreeTopology();
		/**
		 * read BH estimates
		 */
		anEstimator.readJoints();
		/**
		 * estimate permutations
		 */
		anEstimator.estimatingPermutations();
		//anEstimator.calculateNonstationaryEdgeLengthATree();
		//anEstimator.writeEdgeLengths();
		anEstimator.writeNewickFile();
		anEstimator.writeResults();
	}

}
