
public class ContainerForDifTwoDirections 
{
	double[] parentToChild = null;
	double[] childToParent = null;
	int arraySize;
	
	public ContainerForDifTwoDirections() 
	{
	}
	/**
	 * set function for parentToChild container
	 * @param inputMatrix
	 * @param conSize
	 */
	void setParentToChild(double[] inputMatrix, int conSize)
	{
		parentToChild = new double[conSize];
		int j;
		for(j=0; j<conSize; j++)
		{
			parentToChild[j] = inputMatrix[j];
		}
		
	}
	
	/**
	 * set function for childToParent container
	 * @param inputMatrix
	 * @param conSize
	 */
	void setChildToParent(double[] inputMatrix, int conSize)
	{
		childToParent = new double[conSize];
		int j;
		for(j=0; j<conSize; j++)
		{
			childToParent[j] = inputMatrix[j];
		}
		
	}
	
	/**
	 * set array size. two arrays have the same size
	 */
	void setArraySize(int inputSize)
	{
		arraySize = inputSize;
	}
	/**
	 * get function for parentToChild
	 * @return
	 */
	double[] getParentToChild()
	{
		return parentToChild;
	}
	
	/**
	 * get function for childToParent
	 * @return
	 */
	double[] getChildToParent()
	{
		return childToParent;
	}
	
	/**
	 * get array size
	 */
	int getArraySize()
	{
		return arraySize;
	}
}
