
public class ContainerReconstructedMatrices 
{
	/**
	 * three matrices
	 */
	double[][] reconstructedCond = null;
	double[][] reconstructedJointProb = null;
	double difference = 0.0;
	
	int conSize = 0;
	
	public ContainerReconstructedMatrices() 
	{
	}
	
	/**
	 * set function for reconstructedCond attribute
	 * @param inputMatrix
	 * @param inputSize
	 */
	void setReconstructedCond(double[][] inputMatrix, int inputSize)
	{
		int j, k;
		
		if(reconstructedCond == null)
			reconstructedCond = new double[inputSize][inputSize];
		
		for(j=0; j<inputSize; j++)
		{
			for(k=0; k<inputSize; k++)	
				reconstructedCond[j][k] = inputMatrix[j][k];
		}
	}
	/**
	 * set function for reconstructedJointProb attribute
	 * @param inputMatrix
	 * @param inputSize
	 */
	void setReconstructedJointProb(double[][] inputMatrix, int inputSize)
	{
		int j, k;
		
		if(reconstructedJointProb == null)
			reconstructedJointProb = new double[inputSize][inputSize];
		
		for(j=0; j<inputSize; j++)
		{
			for(k=0; k<inputSize; k++)	
				reconstructedJointProb[j][k] = inputMatrix[j][k];
		}
	}
	
	/**
	 * set function for Consize
	 * @param inputSize
	 */
	void setConSize(int inputSize)
	{
		conSize = inputSize;
	}
	/**
	 * set difference
	 */
	void setDifference(double inputValue)
	{
		difference = inputValue;
	}
	/**
	 * get function for reconstructedCon
	 * @return
	 */
	double[][] getReconstructedCond()
	{
		return reconstructedCond;
	}
	
	/**
	 * get function for reconstructedJointProb
	 * @return
	 */
	double[][] getReconstructedJoint()
	{
		return reconstructedJointProb;
	}
	
	/**
	 * get function for conSize
	 * @return
	 */
	int getConSize()
	{
		return conSize;
	}
	
	double getDifference()
	{
		return difference;
	}
}
