import java.util.ArrayList;


public class ContainerTwoArrayListDouble 
{
	ArrayList<double[][]> parentToChild = null;
	ArrayList<double[][]> childToParent = null;
	
	public ContainerTwoArrayListDouble() 
	{
	}
	/**
	 * set parent to child
	 */
	void setParentToChild(ArrayList<double[][]> inputList)
	{
		inputList.trimToSize();
		if(parentToChild == null)
			parentToChild = new ArrayList<double[][]>();
		parentToChild.clear();
		parentToChild.addAll(inputList);
	}
	/**
	 * set child to parent
	 */
	void setChildToParent(ArrayList<double[][]> inputList)
	{
		inputList.trimToSize();
		if(childToParent == null)
			childToParent = new ArrayList<double[][]>();
		childToParent.clear();
		childToParent.addAll(inputList);
	}
	
	/**
	 * get parent to child
	 */
	ArrayList<double[][]> getParentToChild()
	{
		return parentToChild;
	}
	/**
	 * get child to parent
	 */
	ArrayList<double[][]> getChildToParent()
	{
		return childToParent;
	}
}
